> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get userscustomrule

> Retrieves a List of UserCustomRules for the user identified by the given userId. The requesting User must have **one of** the following rights to perform this task: **Rights** **Required** **AuthRuleType.MANAGE_OWN_BUSINESS_RULES** CONDITIONAL **AuthRuleType.MANAGE_ANOTHERS_BUSINESS_RULES** CONDITIONAL

The requesting User must have **one of** the following rights to perform this task:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /users/customrule/{userId}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /users/customrule/{userId}:
    get:
      tags:
        - UserService
      description: >-
        Retrieves a List of UserCustomRules for the user identified by the given
        userId. The requesting User must have **one of** the following rights to
        perform this task: **Rights** **Required**
        **AuthRuleType.MANAGE_OWN_BUSINESS_RULES** CONDITIONAL
        **AuthRuleType.MANAGE_ANOTHERS_BUSINESS_RULES** CONDITIONAL


        The requesting User must have **one of** the following rights to perform
        this task:
      operationId: getUserCustomRules
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: This operation returns a list of UserCustomRules .
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    userCustomRules:
                      - sysidUser: 12345
                        sysidUserCustomRule: 12345
                        sysidCustomRuleType: 12345
                        comments: ...
                        customRuleParams:
                          - sysidUserCustomRuleParam: 12345
                            sysidUserCustomRuleDefinition: 12345
                            value: ...
                          - sysidUserCustomRuleParam: 12345
                            sysidUserCustomRuleDefinition: 12345
                            value: ...
                      - sysidUser: 12345
                        sysidUserCustomRule: 12345
                        sysidCustomRuleType: 12345
                        comments: ...
                        customRuleParams:
                          - sysidUserCustomRuleParam: 12345
                            sysidUserCustomRuleDefinition: 12345
                            value: ...
                          - sysidUserCustomRuleParam: 12345
                            sysidUserCustomRuleDefinition: 12345
                            value: ...
              schema:
                $ref: '#/components/schemas/UserCustomRulesWrapper'
          description: >-
            UserCustomRulesWrapper

            returnType 
            com.agilquest.phoenix.shared.data.rest.wrapper.UserCustomRulesWrapper
components:
  schemas:
    UserCustomRulesWrapper:
      type: object
      title: UserCustomRulesWrapper
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            userCustomRules:
              type: array
              items:
                $ref: '#/components/schemas/UserCustomRule'
      example:
        userCustomRules:
          - sysidUser: 12345
            sysidUserCustomRule: 12345
            sysidCustomRuleType: 12345
            comments: ...
            customRuleParams:
              - sysidUserCustomRuleParam: 12345
                sysidUserCustomRuleDefinition: 12345
                value: ...
              - sysidUserCustomRuleParam: 12345
                sysidUserCustomRuleDefinition: 12345
                value: ...
          - sysidUser: 12345
            sysidUserCustomRule: 12345
            sysidCustomRuleType: 12345
            comments: ...
            customRuleParams:
              - sysidUserCustomRuleParam: 12345
                sysidUserCustomRuleDefinition: 12345
                value: ...
              - sysidUserCustomRuleParam: 12345
                sysidUserCustomRuleDefinition: 12345
                value: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    UserCustomRule:
      type: object
      title: UserCustomRule
      required:
        - sysidUser
        - sysidCustomRuleType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUser:
              type: integer
              format: int32
            sysidUserCustomRule:
              type: integer
              format: int32
            sysidCustomRuleType:
              type: integer
              format: int32
            comments:
              type: string
            customRuleParams:
              type: array
              items:
                $ref: '#/components/schemas/UserCustomRuleParam'
      example:
        sysidUser: 12345
        sysidUserCustomRule: 12345
        sysidCustomRuleType: 12345
        comments: ...
        customRuleParams:
          - sysidUserCustomRuleParam: 12345
            sysidUserCustomRuleDefinition: 12345
            value: ...
          - sysidUserCustomRuleParam: 12345
            sysidUserCustomRuleDefinition: 12345
            value: ...
    UserCustomRuleParam:
      type: object
      title: UserCustomRuleParam
      required:
        - sysidUserCustomRuleDefinition
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserCustomRuleParam:
              type: integer
              format: int32
            sysidUserCustomRuleDefinition:
              type: integer
              format: int32
            value:
              type: string
      example:
        sysidUserCustomRuleParam: 12345
        sysidUserCustomRuleDefinition: 12345
        value: ...

````